export async function getHashString(string, method = 'SHA-256') {
	const encoder = new TextEncoder();
	const data = encoder.encode(string);
	const hash = await crypto.subtle.digest(method, data);
	const hashArray = Array.from(new Uint8Array(hash));
	return hashArray.map(b => b.toString(16).padStart(2, '0')).join('');
}